org.apache.commons.jexl.util.introspection

## Class UberspectImpl.VelMethodImpl

- java.lang.Object
- - org.apache.commons.jexl.util.introspection.UberspectImpl.VelMethodImpl

All Implemented Interfaces:
  VelMethod

Enclosing class:
  UberspectImpl

    public class UberspectImpl.VelMethodImpl
    extends java.lang.Object
    implements VelMethod

An implementation of `VelMethod`.

### Field Summary

Fields
`protected java.lang.reflect.Method` `method` the method.

### Constructor Summary

Constructors
Constructor and Description
`UberspectImpl.VelMethodImpl(java.lang.reflect.Method m)` Create a new instance.

### Method Summary

Methods
`java.lang.String` `getMethodName()` returns the method name used
`java.lang.Class` `getReturnType()` returns the return type of the method invoked
`java.lang.Object` `invoke(java.lang.Object o, java.lang.Object[] params)` invocation method - called when the method invocation should be performed and a value returned
`boolean` `isCacheable()` specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### method

    protected java.lang.reflect.Method method

the method.

### Constructor Detail

#### UberspectImpl.VelMethodImpl

    public UberspectImpl.VelMethodImpl(java.lang.reflect.Method m)

Create a new instance.

Parameters:
  `m` - the method.

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object o,
                          java.lang.Object[] params)
                            throws java.lang.Exception

invocation method - called when the method invocation should be performed and a value returned

Specified by:
  `invoke` in interface `VelMethod`
Returns:
  The resulting object.
Throws:
  `java.lang.Exception`

#### isCacheable

    public boolean isCacheable()

specifies if this VelMethod is cacheable and able to be reused for this class of object it was returned for

Specified by:
  `isCacheable` in interface `VelMethod`
Returns:
  true if can be reused for this class, false if not

#### getMethodName

    public java.lang.String getMethodName()

returns the method name used

Specified by:
  `getMethodName` in interface `VelMethod`
Returns:
  The method name used

#### getReturnType

    public java.lang.Class getReturnType()

returns the return type of the method invoked

Specified by:
  `getReturnType` in interface `VelMethod`
Returns:
  The return type of the method invoked